Update an expense
curl --request PATCH \
--url https://www.presolve.com/api/v1/expenses/{expenseId} \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"amountCents": 123,
"description": "<string>",
"dateCharged": "<string>",
"reimbursable": true,
"linkedSettlement": true,
"vendorContactId": "<string>",
"receiptDocumentId": "<string>",
"notes": "<string>"
}
'const options = {
method: 'PATCH',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amountCents: 123,
description: '<string>',
dateCharged: '<string>',
reimbursable: true,
linkedSettlement: true,
vendorContactId: '<string>',
receiptDocumentId: '<string>',
notes: '<string>'
})
};
fetch('https://www.presolve.com/api/v1/expenses/{expenseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.presolve.com/api/v1/expenses/{expenseId}"
payload = {
"amountCents": 123,
"description": "<string>",
"dateCharged": "<string>",
"reimbursable": True,
"linkedSettlement": True,
"vendorContactId": "<string>",
"receiptDocumentId": "<string>",
"notes": "<string>"
}
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"success": true
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}Billing
Update an expense
Rejected once the expense has been paid by the settlement pipeline.
Requires the billing:write scope. Mutations require an X-Idempotency-Key header (responses are stored for replay; reusing a key with a different request returns 409 IDEMPOTENCY_CONFLICT). Rate tier: write.
PATCH
/
api
/
v1
/
expenses
/
{expenseId}
Update an expense
curl --request PATCH \
--url https://www.presolve.com/api/v1/expenses/{expenseId} \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"amountCents": 123,
"description": "<string>",
"dateCharged": "<string>",
"reimbursable": true,
"linkedSettlement": true,
"vendorContactId": "<string>",
"receiptDocumentId": "<string>",
"notes": "<string>"
}
'const options = {
method: 'PATCH',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amountCents: 123,
description: '<string>',
dateCharged: '<string>',
reimbursable: true,
linkedSettlement: true,
vendorContactId: '<string>',
receiptDocumentId: '<string>',
notes: '<string>'
})
};
fetch('https://www.presolve.com/api/v1/expenses/{expenseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.presolve.com/api/v1/expenses/{expenseId}"
payload = {
"amountCents": 123,
"description": "<string>",
"dateCharged": "<string>",
"reimbursable": True,
"linkedSettlement": True,
"vendorContactId": "<string>",
"receiptDocumentId": "<string>",
"notes": "<string>"
}
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"success": true
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}Authorizations
Org-issued integration API key (service account credential). The plaintext secret is shown once at creation.
Headers
Stable caller-chosen key (max 200 chars) making the mutation safely retryable.
Maximum string length:
200Path Parameters
Expense id
Body
application/json
Required range:
x <= 100000000000Available options:
Court, Expert, Investigation, Deposition, Mediation, Record Request, Trial, Misc Required string length:
1 - 2000Available options:
Not decided, Firm by cash, Firm by debit, Firm by LoC, Client, Vendor Advance Available options:
now, at_settlement, null Required string length:
1 - 200Required string length:
1 - 200Maximum string length:
5000